import * as app from '../public/app/app';
/**
 * The response of the notify success callback.
 */
export interface NotifySuccessResponse {
    /**
     * It shows if the callback resolved successfully in the host. If the host does not support answering back to the callback, the result is unknown.
     */
    hasFinishedSuccessfully: true | 'unknown';
}
export declare function appInitializeHelper(apiVersionTag: string, validMessageOrigins?: string[]): Promise<void>;
export declare function notifyAppLoadedHelper(apiVersionTag: string): void;
export declare function notifyExpectedFailureHelper(apiVersionTag: string, expectedFailureRequest: app.IExpectedFailureRequest): void;
export declare function notifyFailureHelper(apiVersiontag: string, appInitializationFailedRequest: app.IFailedRequest): void;
export declare function notifySuccessHelper(apiVersionTag: string): Promise<NotifySuccessResponse>;
export declare function callNotifySuccessInHost(apiVersionTag: string): Promise<NotifySuccessResponse>;
export declare function registerOnThemeChangeHandlerHelper(apiVersionTag: string, handler: app.themeHandler): void;
export declare function openLinkHelper(apiVersionTag: string, deepLink: string): Promise<void>;
