import * as profile from '../public/profile';
/**
 * @hidden
 * Validates the request parameters
 * @param showProfileRequest The request parameters
 * @returns true if the parameters are valid, false otherwise
 *
 * @internal
 * Limited to Microsoft-internal use
 */
export declare function validateShowProfileRequest(showProfileRequest: profile.ShowProfileRequest): [boolean, string | undefined];
/**
 * Internal representation of a DOMRect suitable for sending via postMessage.
 */
type Rectangle = {
    x: number;
    y: number;
    width: number;
    height: number;
};
/**
 * @beta
 * @hidden
 * An internal representation of the showProfile parameters suitable for sending via postMessage.
 * The hub expects to receive an object of this type.
 */
export interface ShowProfileRequestInternal {
    modality?: profile.Modality;
    persona: profile.Persona;
    targetRectangle: Rectangle;
    triggerType: profile.TriggerType;
}
export {};
