/**
 * @beta
 * @hidden
 * User information required by specific apps
 * @internal
 * Limited to Microsoft-internal use
 * @module
 */
import { AppEligibilityInformation } from '../../public/interfaces';
/**
 * @hidden
 * @internal
 * Limited to Microsoft-internal use
 * @beta
 * @returns boolean to represent whether copilot.eligibility capability is supported
 *
 * @throws Error if {@linkcode app.initialize} has not successfully completed
 */
export declare function isSupported(): boolean;
/**
 *
 * @param forceRefresh - boolean to represent whether to force refresh the eligibility information
 * @returns the copilot eligibility information about the user
 * @throws Error if {@linkcode app.initialize} has not successfully completed
 *
 * @hidden
 * @internal
 * Limited to Microsoft-internal use
 * @beta
 */
export declare function getEligibilityInfo(forceRefresh?: boolean): Promise<AppEligibilityInformation>;
