/**
 * @hidden
 * Module to interact with the logging part of the SDK.
 * This object is used to send the app logs on demand to the host client
 *
 * @internal
 * Limited to Microsoft-internal use
 */
/**
 * @hidden
 *
 * Registers a handler for getting app log
 *
 * @param handler - The handler to invoke to get the app log
 *
 * @internal
 * Limited to Microsoft-internal use
 */
export declare function registerGetLogHandler(handler: () => string): void;
/**
 * @hidden
 *
 * Checks if the logs capability is supported by the host
 * @returns boolean to represent whether the logs capability is supported
 *
 * @throws Error if {@linkcode app.initialize} has not successfully completed
 *
 * @internal
 * Limited to Microsoft-internal use
 */
export declare function isSupported(): boolean;
