/**
 * @beta
 * @hidden
 * Local version of the Nested App Auth Bridge module.
 *
 * This version is specific to this standalone module and is not tied to the overall TeamsJS SDK version.
 * It allows developers to track changes within this module and handle version-based compatibility if needed.
 *
 * While not strictly required today, having a version provides flexibility for future updates,
 * especially if breaking changes are introduced later.
 *
 * Example:
 *   if (nestedAppAuthBridge.version.startsWith('1.')) {
 *     // Safe to use with current logic
 *   }
 *
 * @internal
 * Limited to Microsoft-internal use
 */
export declare const version = "1.0.0";
/**
 * @beta
 * @hidden
 * Initializes the Nested App Auth Bridge.
 * @param window The window object where the bridge will be attached.
 * @param topOrigin The origin of the top-level frame.
 * @param enableLogging - Optional flag to enable internal debug and error logging. Defaults to false.
 *
 * @internal
 * Limited to Microsoft-internal use
 */
export declare function initialize(window: Window | null, topOrigin: string, enableLogging?: boolean): void;
