/**
 * @hidden
 * Hidden from Docs
 *
 * @internal
 * Limited to Microsoft-internal use
 * @module
 */
import { ShowNotificationParameters } from './interfaces';
/**
 * @hidden
 * display notification API.
 *
 * @param message - Notification message.
 * @param notificationType - Notification type
 *
 * @internal
 * Limited to Microsoft-internal use
 */
export declare function showNotification(showNotificationParameters: ShowNotificationParameters): void;
/**
 * @hidden
 *
 * Checks if the notifications capability is supported by the host
 * @returns boolean to represent whether the notifications capability is supported
 *
 * @throws Error if {@linkcode app.initialize} has not successfully completed
 *
 * @internal
 * Limited to Microsoft-internal use
 */
export declare function isSupported(): boolean;
