/**
 * @module
 * @hidden
 * @internal
 * Limited to Microsoft-internal use
 */
import { TeamInstanceParameters, UserJoinedTeamsInformation } from '../../interfaces';
/**
 * @hidden
 * Allows an app to retrieve information of all user joined teams
 *
 * @param teamInstanceParameters - Optional flags that specify whether to scope call to favorite teams
 * @returns Promise that resolves with information about the user joined teams or rejects with an error when the operation has completed
 *
 * @internal
 * Limited to Microsoft-internal use
 */
export declare function getUserJoinedTeams(teamInstanceParameters?: TeamInstanceParameters): Promise<UserJoinedTeamsInformation>;
/**
 * @hidden
 *
 * Checks if teams.fullTrust.joinedTeams capability is supported by the host
 * @returns boolean to represent whether the teams.fullTrust.joinedTeams capability is supported
 *
 * @throws Error if {@linkcode app.initialize} has not successfully completed
 *
 * @internal
 * Limited to Microsoft-internal use
 */
export declare function isSupported(): boolean;
