/** Represents set of parameters needed to open the appInstallDialog. */
export interface OpenAppInstallDialogParams {
    /** A unique identifier for the app being installed. */
    appId: string;
}
/**
 * Displays a dialog box that allows users to install a specific app within the host environment.
 *
 * @param openAPPInstallDialogParams - See {@link OpenAppInstallDialogParams | OpenAppInstallDialogParams} for more information.
 */
export declare function openAppInstallDialog(openAPPInstallDialogParams: OpenAppInstallDialogParams): Promise<void>;
/**
 * Checks if the appInstallDialog capability is supported by the host
 * @returns boolean to represent whether the appInstallDialog capability is supported
 *
 * @throws Error if {@linkcode app.initialize} has not successfully completed
 */
export declare function isSupported(): boolean;
