/**
 * Module to update the dialog
 *
 * @module
 */
import { DialogSize } from '../interfaces';
/**
 * Update dimensions - height/width of a dialog.
 *
 * @param dimensions - An object containing width and height properties.
 */
export declare function resize(dimensions: DialogSize): void;
/**
 * Checks if dialog.update capability is supported by the host
 * @returns boolean to represent whether dialog.update capabilty is supported
 *
 * @throws Error if {@linkcode app.initialize} has not successfully completed
 */
export declare function isSupported(): boolean;
