/**
 * This function enables child proxying communication for apps that still needs it.
 *
 * @deprecated Child proxying is considered an insecure feature and will be removed in future releases.
 */
export declare function activateChildProxyingCommunication(): void;
/**
 * @hidden
 * @internal
 * Limited to Microsoft-internal use.
 */
export declare function isChildProxyingEnabled(): boolean;
/**
 * @hidden
 * @internal
 * Limited to Microsoft-internal use.
 */
export declare function resetBuildFeatureFlags(): void;
/**
 * Feature flags to activate or deactivate certain features at runtime for an app.
 */
export interface RuntimeFeatureFlags {
    /**
     * Disables origin validation for responses to child windows. When enabled, this flag bypasses security checks that verify the origin of child window that receives the response.
     *
     * Default: false
     */
    disableEnforceOriginMatchForChildResponses: boolean;
}
/**
 * @returns The current state of the runtime feature flags.
 */
export declare function getCurrentFeatureFlagsState(): RuntimeFeatureFlags;
/**
 * It sets the runtime feature flags to the new feature flags provided.
 * @param featureFlags The new feature flags to set.
 */
export declare function setFeatureFlagsState(featureFlags: RuntimeFeatureFlags): void;
/**
 * It overwrites all the feature flags in the runtime feature flags object with the new feature flags provided.
 * @param newFeatureFlags The new feature flags to set.
 * @returns The current state of the runtime feature flags.
 */
export declare function overwriteFeatureFlagsState(newFeatureFlags: Partial<RuntimeFeatureFlags>): RuntimeFeatureFlags;
