/**
 * Module for functions to control behavior of the app share button
 *
 * @hidden
 * Hide from docs.
 *
 * @internal
 * Limited to Microsoft-internal use
 *
 * @beta
 * @module
 */
/**
 * Property bag for the setVisibilityInfo
 *
 * @hidden
 * Hide from docs.
 *
 * @internal
 * Limited to Microsoft-internal use
 *
 * @beta
 */
export interface ShareInformation {
    /**
     * boolean flag to set show or hide app share button
     */
    isVisible: boolean;
    /**
     * optional string contentUrl, which will override contentUrl coming from Manifest
     */
    contentUrl?: string;
}
/**
 * By default app share button will be hidden and this API will govern the visibility of it.
 *
 * This function can be used to hide/show app share button in meeting,
 * along with contentUrl (overrides contentUrl populated in app manifest)
 * @throws standard Invalid Url error
 * @param shareInformation has two elements, one isVisible boolean flag and another
 * optional string contentUrl, which will override contentUrl coming from Manifest
 *
 * @hidden
 * Hide from docs.
 *
 * @internal
 * Limited to Microsoft-internal use
 *
 * @beta
 */
export declare function setOptions(shareInformation: ShareInformation): void;
