/**
 * Module to power up the in-app browser experiences in the host app.
 * For e.g., opening a URL in the host app inside a browser
 *
 * @beta
 * @module
 */
/**
 * Open a URL in the secondary browser.
 *
 * On mobile, this is the in-app browser.
 *
 * On web and desktop, please use the `window.open()` method or other native external browser methods.
 *
 * @param url Url to open in the browser
 * @returns Promise that successfully resolves if the URL  opens in the secondaryBrowser
 * or throws an error {@link SdkError} incase of failure before starting navigation
 *
 * @remarks Any error that happens after navigation begins is handled by the platform browser component and not returned from this function.
 * @beta
 */
export declare function open(url: URL): Promise<void>;
/**
 * Checks if secondaryBrowser capability is supported by the host
 * @returns boolean to represent whether secondaryBrowser is supported
 *
 * @throws Error if {@linkcode app.initialize} has not successfully completed
 *
 * @beta
 */
export declare function isSupported(): boolean;
