/**
 * Module for actions that can be taken by the stage view itself.
 *
 * @beta
 * @module
 */
/**
 * Closes the current stage view. This function will be a no-op if called from outside of a stage view.
 * @returns Promise that resolves or rejects with an error once the stage view is closed.
 *
 * @beta
 * @throws Error if stageView.self.close is not supported in the current context or if `app.initialize()` has not resolved successfully.
 */
export declare function close(): Promise<void>;
/**
 * Checks if stageView.self capability is supported by the host
 * @beta
 * @returns boolean to represent whether the stageView.self capability is supported
 *
 * @throws Error if {@linkcode app.initialize} has not successfully completed
 *
 */
export declare function isSupported(): boolean;
