import { ISerializable } from './serializable.interface';
/**
 * A strongly typed class used to represent a "valid" string id.
 */
export declare class ValidatedSafeString implements ISerializable {
    private readonly idAsString;
    /**
     * Creates a strongly-typed Id from a string
     *
     * @param idAsString An id represented as a string
     * @throws Error with a message describing the exact validation violation
     */
    constructor(idAsString: string);
    /**
     * @hidden
     * @internal
     *
     * @returns A serializable representation of an AppId, used for passing AppIds to the host.
     */
    serialize(): object | string;
    /**
     * Returns the app id as a string
     */
    toString(): string;
}
