/**
 * Contains functionality enabling apps to query properties about how the host manages web storage (`Window.LocalStorage`)
 *
 * @beta
 * @module
 */
/**
 * Checks if web storage (`Window.LocalStorage`) gets cleared when a user logs out from host
 *
 * @returns `true` if web storage gets cleared on logout and `false` if not
 *
 * @throws `Error` if {@linkcode app.initialize} has not successfully completed
 *
 * @beta
 */
export declare function isWebStorageClearedOnUserLogOut(): Promise<boolean>;
/**
 * Checks if webStorage capability is supported by the host
 * @returns boolean to represent whether the webStorage capability is supported
 *
 * @throws Error if {@linkcode app.initialize} has not successfully completed
 *
 * @beta
 */
export declare function isSupported(): boolean;
